.PHONY: check clean file sockets struct nullbranch osd

SPLINT = splint
EXTRAPATH = LARCH_PATH=".:$(LARCH_PATH)"

check: file sockets struct nullbranch osd

file:
	-$(EXTRAPATH) ${SPLINT} -mts file file1.c -expect 4
	-$(EXTRAPATH) ${SPLINT} -mts file file2.c -varuse -fcnuse -expect 2
	-$(EXTRAPATH) ${SPLINT} -mts file file3.c -varuse -fcnuse -expect 2
	-$(EXTRAPATH) ${SPLINT} -mts file file4.c -varuse -fcnuse -exportlocal -expect 1 
	-$(EXTRAPATH) ${SPLINT} -mts file file5.c -varuse -fcnuse -exportlocal -expect 4
	-$(EXTRAPATH) ${SPLINT} -mts file file6.c -varuse -fcnuse -exportlocal -expect 2
	-$(EXTRAPATH) ${SPLINT} -mts file filebad.c -expect 3

sockets:
	$(EXTRAPATH) ${SPLINT} sockets.mts sockets.c -expect 3
	$(EXTRAPATH) ${SPLINT} sockets.mts sockets2.c -expect 2

struct:
	$(EXTRAPATH) ${SPLINT} -mts file struct.c -expect 1

nullbranch:
	$(EXTRAPATH) ${SPLINT} -mts file nullbranch.c -expect 2

osd:
	$(EXTRAPATH) ${SPLINT} -mts file osd.c -expect 2

